#!/bin/sh

set -eo pipefail

KV_CERT_ROOT=$(printenv ACME_${ACME_IDX}_KV_CERT_ROOT)
echo "Pushing ${LEGO_CERT_DOMAIN} certificate on vault (${VAULT_ADDR}/${KV_CERT_ROOT}/${LEGO_CERT_DOMAIN})"
METADATA=$(echo -n ${LEGO_CERT_PATH} | sed -E 's/\.crt$/.json/')
ISSUER=$(echo -n ${LEGO_CERT_PATH} | sed -E 's/\.crt$/.issuer.crt/')
vault kv put ${KV_CERT_ROOT}/${LEGO_CERT_DOMAIN} \
  cert=@${LEGO_CERT_PATH} \
  key=@${LEGO_CERT_KEY_PATH} \
  metadata=@${METADATA} \
  issuer=@${ISSUER}
